Bug 221121 - www/youtube_dl: Update to 2017.07.30.1
Summary: www/youtube_dl: Update to 2017.07.30.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Marcelo Araujo
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2017-07-31 13:05 UTC by Fabian Keil
Modified: 2017-10-04 06:47 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (araujo)
koobs: merge-quarterly?


Attachments
www/youtube_dl: Update to 2017.07.30.1 (1.23 KB, patch)
2017-07-31 13:05 UTC, Fabian Keil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2017-07-31 13:05:17 UTC
Created attachment 184867 [details]
www/youtube_dl: Update to 2017.07.30.1

The attached patch updates www/youtube_dl to 2017.07.30.1.

Please also apply the update to the quaterly branch.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-01 09:51:27 UTC
Thank you Fabian. Reporters are welcome to self-request MFH to the quarterly branch by setting the merge-quarterly flag. 

Protip: It's very useful to be explicit/obvious, by adding a comment when doing so (Eg: "Quarterly port also affected", "Security fixes", "Bugfix only version update", etc)

Don't forget to confirm submitted changes pass QA (poudriere, portlint in particular) when/where possible.
Comment 2 commit-hook freebsd_committer 2017-08-01 09:55:44 UTC
A commit references this bug:

Author: araujo
Date: Tue Aug  1 09:55:39 UTC 2017
New revision: 447016
URL: https://svnweb.freebsd.org/changeset/ports/447016

Log:
  Update to 2017.07.30.1.

  PR:		ports/221121
  Submitted by:	Fabian Keil <fk@fabiankeil.de>

Changes:
  head/www/youtube_dl/Makefile
  head/www/youtube_dl/distinfo
Comment 3 Marcelo Araujo freebsd_committer 2017-08-01 09:56:12 UTC
Committed, thanks!
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-01 10:23:27 UTC
Re-open for MFH
Comment 5 Marcelo Araujo freebsd_committer 2017-08-01 10:29:13 UTC
(In reply to Kubilay Kocak from comment #4)

Hi, I have no plan to MFH as this port has no security issue as well as it isn't that important to MFH.

Would you like to do that?

Br,
Comment 6 Fabian Keil 2017-08-01 10:57:37 UTC
Thanks for the clarification, I'll use the MFH flag in the future.

My personal preference would be to always MFH www/youtube_dl updates
as they tend to contain fixes that are required for the script to continue to
work with certain sites.

The ChangeLog (which I should have referenced in the initial description)
contains a bunch of "Fix extraction" entries between 2017.05.29 and
2017.07.30.1:
https://github.com/rg3/youtube-dl/blob/master/ChangeLog